Oracle Apps DBA

My photo
More than 5+ Years of IT Experience in administering Enterprise wide Multi Vendor UNIX Servers, Oracle Databases (8i to 11gR2), Middle-tiers, Applications and Clusters. I am a Sun Certified System Administrator (SCSA) for Solaris 10, oracle 10g database certified associate(OCA), Oracle 10g Database certified professional (OCP) and Oracle E-Business suite R12 certified professionl(OCP)

Oracle Database and Applications

Monday, 17 October 2011

gcc-4.4.5-6.el6.i686.rpm error: Failed dependencies OEL 6

I just Installed oracle enterprise Linux OEL 6.1 on vmware server 2. When i tried to configure vmware tools it failed with error unable to find gcc.

Inserted media for Oracle Linux 6.1 and tried installing the rpm "gcc-4.4.5-6.el6.i686.rpm" but failed with below error message:



[root@oraclecloud Packages]# rpm -ivh gcc-4.4.5-6.el6.i686.rpm
warning: gcc-4.4.5-6.el6.i686.rpm: Header V3 RSA/SHA256 Signature, key ID ec551f03: NOKEY
error: Failed dependencies:
cloog-ppl >= 0.15 is needed by gcc-4.4.5-6.el6.i686
cpp = 4.4.5-6.el6 is needed by gcc-4.4.5-6.el6.i686




>> when you try to Install the packages "cloog-ppl" and "cpp", again it will fail for some dependencies.

Action plan:

1) Install rpm - mpfr-2.4.1-6.el6.i686.rpm
2) Install rpm - ppl-0.10.2-11.el6.i686.rpm
3) Install rpm - cloog-ppl-0.15.7-1.2.el6.i686.rpm
4) Install rpm - cpp-4.4.5-6.el6.i686.rpm
5) Install rpm - gcc-4.4.5-6.el6.i686.rpm


Installation of these rpm's:



[root@oraclecloud Packages]# rpm -ivh mpfr-2.4.1-6.el6.i686.rpm
warning: mpfr-2.4.1-6.el6.i686.rpm: Header V3 RSA/SHA256 Signature, key ID ec551f03: NOKEY
Preparing... ########################################### [100%]
1:mpfr ########################################### [100%]
[root@oraclecloud Packages]# rpm -ivh cloog-ppl-0.15.7-1.2.el6.i686.rpm
warning: cloog-ppl-0.15.7-1.2.el6.i686.rpm: Header V3 RSA/SHA256 Signature, key ID ec551f03: NOKEY
error: Failed dependencies:
libppl.so.7 is needed by cloog-ppl-0.15.7-1.2.el6.i686
libppl_c.so.2 is needed by cloog-ppl-0.15.7-1.2.el6.i686
[root@oraclecloud Packages]# rpm -ivh ppl-0.10.2-11.el6.i686.rpm
warning: ppl-0.10.2-11.el6.i686.rpm: Header V3 RSA/SHA256 Signature, key ID ec551f03: NOKEY
Preparing... ########################################### [100%]
1:ppl ########################################### [100%]
[root@oraclecloud Packages]# rpm -ivh cloog-ppl-0.15.7-1.2.el6.i686.rpm
warning: cloog-ppl-0.15.7-1.2.el6.i686.rpm: Header V3 RSA/SHA256 Signature, key ID ec551f03: NOKEY
Preparing... ########################################### [100%]
1:cloog-ppl ########################################### [100%]
[root@oraclecloud Packages]# rpm -ivh cpp-4.4.5-6.el6.i686.rpm
warning: cpp-4.4.5-6.el6.i686.rpm: Header V3 RSA/SHA256 Signature, key ID ec551f03: NOKEY
Preparing... ########################################### [100%]
1:cpp ########################################### [100%]
[root@oraclecloud Packages]# rpm -ivh gcc-4.4.5-6.el6.i686.rpm
warning: gcc-4.4.5-6.el6.i686.rpm: Header V3 RSA/SHA256 Signature, key ID ec551f03: NOKEY
Preparing... ########################################### [100%]
1:gcc ########################################### [100%]
[root@oraclecloud Packages]# rpm -ivh gcc-4.4.5-6.el6.i686.rpm
warning: gcc-4.4.5-6.el6.i686.rpm: Header V3 RSA/SHA256 Signature, key ID ec551f03: NOKEY
error: Failed dependencies:
cloog-ppl >= 0.15 is needed by gcc-4.4.5-6.el6.i686
cpp = 4.4.5-6.el6 is needed by gcc-4.4.5-6.el6.i686
[root@oraclecloud Packages]# rpm -ivh glibc-headers-2.12-1.25.el6.i686.rpm
warning: glibc-headers-2.12-1.25.el6.i686.rpm: Header V3 RSA/SHA256 Signature, key ID ec551f03: NOKEY
Preparing... ########################################### [100%]
package glibc-headers-2.12-1.25.el6.i686 is already installed
[root@oraclecloud Packages]# rpm -ivh mpfr-2.4.1-6.el6.i686.rpm
warning: mpfr-2.4.1-6.el6.i686.rpm: Header V3 RSA/SHA256 Signature, key ID ec551f03: NOKEY
Preparing... ########################################### [100%]
1:mpfr ########################################### [100%]
[root@oraclecloud Packages]# rpm -ivh cloog-ppl-0.15.7-1.2.el6.i686.rpm
warning: cloog-ppl-0.15.7-1.2.el6.i686.rpm: Header V3 RSA/SHA256 Signature, key ID ec551f03: NOKEY
error: Failed dependencies:
libppl.so.7 is needed by cloog-ppl-0.15.7-1.2.el6.i686
libppl_c.so.2 is needed by cloog-ppl-0.15.7-1.2.el6.i686
[root@oraclecloud Packages]# rpm -ivh ppl-0.10.2-11.el6.i686.rpm
warning: ppl-0.10.2-11.el6.i686.rpm: Header V3 RSA/SHA256 Signature, key ID ec551f03: NOKEY
Preparing... ########################################### [100%]
1:ppl ########################################### [100%]
[root@oraclecloud Packages]# rpm -ivh cloog-ppl-0.15.7-1.2.el6.i686.rpm
warning: cloog-ppl-0.15.7-1.2.el6.i686.rpm: Header V3 RSA/SHA256 Signature, key ID ec551f03: NOKEY
Preparing... ########################################### [100%]
1:cloog-ppl ########################################### [100%]
[root@oraclecloud Packages]# rpm -ivh cpp-4.4.5-6.el6.i686.rpm
warning: cpp-4.4.5-6.el6.i686.rpm: Header V3 RSA/SHA256 Signature, key ID ec551f03: NOKEY
Preparing... ########################################### [100%]
1:cpp ########################################### [100%]
[root@oraclecloud Packages]# rpm -ivh gcc-4.4.5-6.el6.i686.rpm
warning: gcc-4.4.5-6.el6.i686.rpm: Header V3 RSA/SHA256 Signature, key ID ec551f03: NOKEY
Preparing... ########################################### [100%]
1:gcc ########################################### [100%]



I faced this issue on 32-bit platform, other may face similar issue on 64-bit platform. Same solution will imply on then but they should install the 64-bit packages.

Hope helps :)

Thanks.

4 comments:

Christiaan said...

You saved me a ton of time and patience! Thanks!

Юрий Валерьевич said...

Yep, same for 64.. thx

Anonymous said...

Works Fine.... exelent..

Marco-66 said...

Thanks !